Quantcast

Installation error on Centos

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Installation error on Centos

BrunoBB
Hi,

Try to install GsDevKit_home i get the following error:

Installing prereqs for detect Linux named "CentOS and version 7.2.1511
  USAGE: installOsPrereqs [-h] client|server|both

  Verify machine is capable of running GemStone 64-bit (Mac and Linux)
  Add shared memory setup to /etc/sysctl.conf (Mac and Linux)
  Add GemStone netldi service port to /etc/services (Mac and Linux)
  Install operating system prerequisites (Ubuntu14.04 and Ubuntu12.04)

  Should not be run as root `sudo` is used to install operating system prereqs and
  setup shared memory (Mac and Linux)

EXAMPLES
   installOsPrereqs -h
   installOsPrereqs client
   installOsPrereqs server
   installOsPrereqs both

Unrecognized Linux named "CentOS version 7.2.1511 :: installOsPrereqs server
Error on or near line 58 :: setupGsDevKit server :: setupGsDevKit server
Error on or near line 60 :: installServer  :: installServer

Any idea what is going on ?

regards
bruno
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installation error on Centos

BrunoBB
Dale,

The fix for this error is in "installOsPrereqs" line: 325.

I have changed:
osName=`lsb_release -ds | cut -d ' ' -f 1`
with:
osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It seems to work. The first sentence answer: "CentOS
with double quotes at the first character.

The second sentence remove the double quotes and let the script to run.

I do not know if this change will affect other Linux flavors.

Linux version that i'm workin with:
CentOS version 7.2.1511

regards
bruno
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installation error on Centos

GLASS mailing list
Bruno,

It looks like James hit a similar problem[1] and his suggested fix seems
to be the same as yours ... I am worried about the impact on other linux
systems ... I don't have access to a lot of different oses and I don't
have a lot of time at the moment (looks like I'll be pretty tied up for
the next moths or so) ...

If anyone else has the time or inclination to test the suggested fixes
and report their results against the Issue #156, I'd be able to make the
patch with a little more confidence.

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/issues/156


On 01/23/2017 06:58 AM, BrunoBB via Glass wrote:

> Dale,
>
> The fix for this error is in "installOsPrereqs" line: 325.
>
> I have changed:
> osName=`lsb_release -ds | cut -d ' ' -f 1`
> with:
> osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`
>
> It seems to work. The first sentence answer: "CentOS
> with double quotes at the first character.
>
> The second sentence remove the double quotes and let the script to run.
>
> I do not know if this change will affect other Linux flavors.
>
> Linux version that i'm workin with:
> CentOS version 7.2.1511
>
> regards
> bruno
>
>
>
>
> --
> View this message in context: http://forum.world.st/Installation-error-on-Centos-tp4930448p4930452.html
> Sent from the GLASS mailing list archive at Nabble.com.
> _______________________________________________
> Glass mailing list
> [hidden email]
> http://lists.gemtalksystems.com/mailman/listinfo/glass

_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installation error on Centos

GLASS mailing list
I can only confirm the behavior (and fix) reported by Bruno in my CentOS 7.

Cheers,

On Mon, Jan 23, 2017 at 6:21 PM, Dale Henrichs via Glass <[hidden email]> wrote:
Bruno,

It looks like James hit a similar problem[1] and his suggested fix seems to be the same as yours ... I am worried about the impact on other linux systems ... I don't have access to a lot of different oses and I don't have a lot of time at the moment (looks like I'll be pretty tied up for the next moths or so) ...

If anyone else has the time or inclination to test the suggested fixes and report their results against the Issue #156, I'd be able to make the patch with a little more confidence.

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/issues/156



On 01/23/2017 06:58 AM, BrunoBB via Glass wrote:
Dale,

The fix for this error is in "installOsPrereqs" line: 325.

I have changed:
osName=`lsb_release -ds | cut -d ' ' -f 1`
with:
osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It seems to work. The first sentence answer: "CentOS
with double quotes at the first character.

The second sentence remove the double quotes and let the script to run.

I do not know if this change will affect other Linux flavors.

Linux version that i'm workin with:
CentOS version 7.2.1511

regards
bruno




--
View this message in context: http://forum.world.st/Installation-error-on-Centos-tp4930448p4930452.html
Sent from the GLASS mailing list archive at Nabble.com.
_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass

_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass



--

_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installation error on Centos

GLASS mailing list

Does anyone have access to a Debian? The Debian code was implemented[1] by a github user named `grype`[2], but there is no other identifying information associated with the account, so I don't actually know who it is:)

I'll try pinging that user via a message, but if anyone else can test the following expression on Debian and supply the result that would cover the current platforms:

  osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It works on Ubuntu and I assume that it does for Debian as well, but I prefer confirmation...

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/blame/master/bin/utils/installOsPrereqs#L339

[2] https://github.com/grype


On 01/24/2017 04:31 AM, Mariano Martinez Peck wrote:
I can only confirm the behavior (and fix) reported by Bruno in my CentOS 7.

Cheers,

On Mon, Jan 23, 2017 at 6:21 PM, Dale Henrichs via Glass <[hidden email]> wrote:
Bruno,

It looks like James hit a similar problem[1] and his suggested fix seems to be the same as yours ... I am worried about the impact on other linux systems ... I don't have access to a lot of different oses and I don't have a lot of time at the moment (looks like I'll be pretty tied up for the next moths or so) ...

If anyone else has the time or inclination to test the suggested fixes and report their results against the Issue #156, I'd be able to make the patch with a little more confidence.

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/issues/156



On 01/23/2017 06:58 AM, BrunoBB via Glass wrote:
Dale,

The fix for this error is in "installOsPrereqs" line: 325.

I have changed:
osName=`lsb_release -ds | cut -d ' ' -f 1`
with:
osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It seems to work. The first sentence answer: "CentOS
with double quotes at the first character.

The second sentence remove the double quotes and let the script to run.

I do not know if this change will affect other Linux flavors.

Linux version that i'm workin with:
CentOS version 7.2.1511

regards
bruno




--
View this message in context: http://forum.world.st/Installation-error-on-Centos-tp4930448p4930452.html
Sent from the GLASS mailing list archive at Nabble.com.
_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass

_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass



--


_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installation error on Centos

GLASS mailing list

Confirmation from a Debian user --- I've created a PR[1] ... thanks for all of your help.

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/pull/158


On 01/24/2017 08:41 AM, Dale Henrichs wrote:

Does anyone have access to a Debian? The Debian code was implemented[1] by a github user named `grype`[2], but there is no other identifying information associated with the account, so I don't actually know who it is:)

I'll try pinging that user via a message, but if anyone else can test the following expression on Debian and supply the result that would cover the current platforms:

  osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It works on Ubuntu and I assume that it does for Debian as well, but I prefer confirmation...

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/blame/master/bin/utils/installOsPrereqs#L339

[2] https://github.com/grype


On 01/24/2017 04:31 AM, Mariano Martinez Peck wrote:
I can only confirm the behavior (and fix) reported by Bruno in my CentOS 7.

Cheers,

On Mon, Jan 23, 2017 at 6:21 PM, Dale Henrichs via Glass <[hidden email]> wrote:
Bruno,

It looks like James hit a similar problem[1] and his suggested fix seems to be the same as yours ... I am worried about the impact on other linux systems ... I don't have access to a lot of different oses and I don't have a lot of time at the moment (looks like I'll be pretty tied up for the next moths or so) ...

If anyone else has the time or inclination to test the suggested fixes and report their results against the Issue #156, I'd be able to make the patch with a little more confidence.

Dale

[1] https://github.com/GsDevKit/GsDevKit_home/issues/156



On 01/23/2017 06:58 AM, BrunoBB via Glass wrote:
Dale,

The fix for this error is in "installOsPrereqs" line: 325.

I have changed:
osName=`lsb_release -ds | cut -d ' ' -f 1`
with:
osName=`lsb_release -ds | cut -d ' ' -f 1 | cut -d '"' -f 2`

It seems to work. The first sentence answer: "CentOS
with double quotes at the first character.

The second sentence remove the double quotes and let the script to run.

I do not know if this change will affect other Linux flavors.

Linux version that i'm workin with:
CentOS version 7.2.1511

regards
bruno




--
View this message in context: http://forum.world.st/Installation-error-on-Centos-tp4930448p4930452.html
Sent from the GLASS mailing list archive at Nabble.com.
_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass

_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass



--



_______________________________________________
Glass mailing list
[hidden email]
http://lists.gemtalksystems.com/mailman/listinfo/glass
Loading...